2019-10-17 00:04 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001600FSSCPFS2NetDpublic2008-03-20 18:17
ReporterShade 
Assigned Totaylor 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.6.10 
Summary0001600: 3.6.10 crashes during PXO logon if already connected through IRC
DescriptionAs title, pretty much. If you're connected to the PXO lobby through an IRC client and try to log on in-game, it will crash to desktop. The reverse is not true, the game does not crash if you try to log on through IRC while already in-game.
Additional InformationExerpt from fs2_open.log relevant to the problem:

Got event GS_EVENT_PXO (63) in state GS_STATE_MAIN_MENU (1)
ANI 2_pxologo.ani with size 152x152 (40.6% wasted)
Frame 0 too long!!: frametime = 0.817 (0.817)
Int3(): From J:\Working\Projects\FS2_Open-Xt\code\Popup\Popup.cpp at line 1186
TagsNo tags attached.
Attached Files
  • zip file icon logs.zip (3,282 bytes) 2008-03-14 16:49

-Relationships
+Relationships

-Notes

~0008877

taylor (administrator)

This may be fixed in the 02/17 build, but I kinda doubt that it actually works all that well with this problem. I'm pretty sure that it shouldn't crash, but it still is not likely to handle the disconnect condition all that well until I can figure out how the handle that stuff. Give it a try and let me know.

Even if it works it's not really a valid fix for this bug, other code will have to be rewritten first. But if the crash is dealt with at least then this bug can be pushed down on the priority list a bit.

This is actually a problem with the code as it came from Volition though. And there really isn't a good mechanism in place to deal with situations like this (for some reason). I've gotten around it before by simply avoiding the issue altogether, but it's a bit difficult in this particular case.

~0008878

Shade (developer)

Last edited: 2008-02-18 22:50

02/17 doesn't crash, it just gives a disconnected from server message and returns to main hall. From the user side at least, it no longer appears a major issue. It would be nice if it said why you got disconnected though.

~0008957

taylor (administrator)

Found a way around the problem completely...

I made a couple of changes to the connection code to better detect errors, which then gives me the opportunity to fail out of it better. With that I was able to tell that it couldn't actually connect, avoid the disconnect function call altogether, and show a new popup that says it was unable to connect to the server.

Nice, clean, and only minor changes. :D


There will be a new build Thursday night (to go with the new servers going live) and then you can verify that it's 100%. I'll commit to SVN on Friday and then mark this as resolved.

~0008964

Shade (developer)

Last edited: 2008-03-14 16:59

Just tried this with 3-13, and it seems to have some problems. It does not give an 'unable to connect' message when trying to enter the lobby, and instead just stalls at 'Logging into Parralax Online'. Clicking cancel here skips past the chat lobby and onto the game lobby (which is good), and doing the same when coming from the game lobby will skip past into the main hall.

However, if you wait long enough without clicking cancel (a minute or two, found out by pure luck as I was writing this while having FS2 running in the background. Duplicated it with FS2 running maximized as well), the game *will* crash to desktop. My feeling is that it's timing out and crashing once that happens, as it would fit with the length of the wait.

So it looks like something resembling the original bug snuck back in. Sorry :/ Attaching a zip with the logs.

~0008965

taylor (administrator)

The long wait appears to be a problem on the server side, particularly something that I did to try and fix 0001599. It is just on the chat side though, so normal FS2NetD traffic shouldn't be affected by that bug. The crashing is new to me though, since I haven't had a problem with that in any of my tests. I'll upgrade the chat server daemon in a few hours and maybe that will fix it all.

~0008969

taylor (administrator)

Ok, got that crash this time. It is the same thing as the original problem, but only because I removed that hack when I added the proper fix. Unfortunately I only ever tested it with a server that refuses a connection and not one that that ends up in a state that can deal with a disconnect, which is what triggers that bug.

I added the original hack back in though, since it does now have to ability to use both properly, so that should finally squash it.

I'll PM you later tonight when a new build is available. I've fixed quite a few other bugs too, and have synced it up with karajorma's latest changes.

~0008975

Shade (developer)

No crash in 3-14.

~0008988

taylor (administrator)

Fixered.
+Notes

-Issue History
Date Modified Username Field Change
2008-02-18 05:47 Shade New Issue
2008-02-18 05:47 Shade Status new => assigned
2008-02-18 05:47 Shade Assigned To => taylor
2008-02-18 13:00 taylor Category multiplayer => FS2NetD
2008-02-18 22:14 taylor Note Added: 0008877
2008-02-18 22:49 Shade Note Added: 0008878
2008-02-18 22:50 Shade Note Edited: 0008878
2008-03-13 06:59 taylor Note Added: 0008957
2008-03-14 16:49 Shade File Added: logs.zip
2008-03-14 16:55 Shade Note Added: 0008964
2008-03-14 16:56 Shade Note Edited: 0008964
2008-03-14 16:59 Shade Note Edited: 0008964
2008-03-14 17:04 taylor Note Added: 0008965
2008-03-14 21:58 taylor Note Added: 0008969
2008-03-15 10:45 Shade Note Added: 0008975
2008-03-20 18:17 taylor Status assigned => resolved
2008-03-20 18:17 taylor Fixed in Version => 3.6.10
2008-03-20 18:17 taylor Resolution open => fixed
2008-03-20 18:17 taylor Note Added: 0008988
+Issue History